STRING_TO_TOKEN(3)

NAME
string_to_tokens - Break a string into its tokens

SYNOPSIS

int string_to_tokens(arg_string, arg_array, array_size, separator)
char *arg_string;
char *arg_array[];
int array_size;
char *separator;

DESCRIPTION
This function parses the string arg_string, placing pointers to the separator separated tokens into the elements of arg_array. The array is terminated with a null pointer. arg_array must contains at least array_size elements. Only the first array_size minus one tokens will be placed into arg_array. If there are more than array_size-1 tokens, the rest are ignored by this routine.

SEE ALSO
strtok(3).

DIAGNOSTICS
This function returns the number of separator separated tokens that were found in arg_string. If arg_array or separator is NULL or array_size is less than 2, -1 is returned.

BUGS
This function uses strtok() to parse arg_string, and thus physically alters arg_string by placing null characters where the separators originally were.